Bug 832597 - Docbook 5 xml ns ignored
Docbook 5 xml ns ignored
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: publican (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839113
  Show dependency treegraph
 
Reported: 2012-06-15 17:32 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 00:29:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-15 17:32:53 EDT
In Publican 3 the Docbook 5 namespace is hardcoded in Builder.pm, so it ignores any namespace declaration in the book source.

Can we get support for customised namespaces?
Comment 1 Joshua Wulf 2012-06-15 17:44:45 EDT
Specifically I wanted the ability to use this relax ng customisation that Norm has produced, but isn't, as yet, including in the Docbook 5 base: https://gist.github.com/2768701
Comment 2 Joshua Wulf 2012-07-11 00:25:50 EDT
At the moment Publican 3's Builder.pm hardcodes the schema to be used for validation for Docbook 5:


 if ( $dtdver =~ m/^5/ ) {
        $dtd_type = qq|-//OASIS//DTD DocBook XML $dtdver//EN|;
        $dtd_path = qq|http://docbook.org/xml/$dtdver/rng/docbook.rng|;


I have a customization layer that Norm wrote for me that I'd like to be able to use (https://gist.github.com/2768701).

Can we make it possible to override the default validation schema from the xml?
Comment 3 Ruediger Landmann 2012-07-11 00:29:32 EDT
Hi Josh -- I'm not going to fork Publican over this one either; please make your request upstream.

Note You need to log in before you can comment on or make changes to this bug.